Chromium Code Reviews
Help | Chromium Project | Sign in
(251)

Issue 11293061: Emit VMLA for multiply-add on ARM (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by hans
Modified:
2 years, 6 months ago
CC:
v8-dev
Visibility:
Public.

Description

Emit VMLA for multiply-add on ARM Committed: https://code.google.com/p/v8/source/detail?r=12958

Patch Set 1 #

Patch Set 2 : Use VMLA instead, pass all tests(*) #

Total comments: 5

Patch Set 3 : Clean-up, support other targets #

Patch Set 4 : Clean-up and support other platforms #

Patch Set 5 : Clean up and support other pltaforms #

Patch Set 6 : Clean up and support other targets #

Total comments: 1

Patch Set 7 : Fold instruction when forming Lithium instead (+tests) #

Total comments: 8

Patch Set 8 : Address review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+140 lines, -33 lines) Patch
M src/arm/assembler-arm.h View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M src/arm/assembler-arm.cc View 1 2 3 4 5 6 1 chunk +14 lines, -0 lines 0 comments Download
M src/arm/disasm-arm.cc View 1 2 2 chunks +7 lines, -0 lines 0 comments Download
M src/arm/lithium-arm.h View 1 2 3 4 5 6 7 3 chunks +21 lines, -0 lines 0 comments Download
M src/arm/lithium-arm.cc View 1 2 3 4 5 6 7 3 chunks +29 lines, -1 line 0 comments Download
M src/arm/lithium-codegen-arm.cc View 1 2 3 4 5 6 7 1 chunk +12 lines, -0 lines 0 comments Download
M src/arm/simulator-arm.cc View 1 2 1 chunk +14 lines, -0 lines 0 comments Download
M test/cctest/test-assembler-arm.cc View 1 2 3 4 5 6 2 chunks +3 lines, -1 line 0 comments Download
M test/cctest/test-disasm-arm.cc View 1 2 3 4 5 6 2 chunks +5 lines, -1 line 0 comments Download
A + test/mjsunit/compiler/multiply-add.js View 1 2 3 4 5 6 2 chunks +31 lines, -30 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 16 (0 generated)
hans
This is the test I've been running it with: var x = 2.71; for (var ...
2 years, 6 months ago (2012-11-02 14:48:44 UTC) #1
hans
Not looking for a real review yet, but would be grateful for hearing your high-level ...
2 years, 6 months ago (2012-11-06 22:40:33 UTC) #2
ulan1
Looks good overall! > This confuses me, becaue the simulator just does: > set_d_register_from_double(vd, dd_value ...
2 years, 6 months ago (2012-11-07 09:54:03 UTC) #3
hans
On 2012/11/07 09:54:03, ulan1 wrote: > Looks good overall! Thanks! I've uploaded a new patch. ...
2 years, 6 months ago (2012-11-10 00:17:28 UTC) #4
Jakob
Drive-by comment: I don't think doing this at HGraph construction time is the right approach. ...
2 years, 6 months ago (2012-11-12 10:12:47 UTC) #5
Vyacheslav Egorov (Google)
DBC for ia32/x64 unrelated to architecture https://codereview.chromium.org/11293061/diff/12022/src/ia32/lithium-ia32.cc File src/ia32/lithium-ia32.cc (right): https://codereview.chromium.org/11293061/diff/12022/src/ia32/lithium-ia32.cc#newcode1360 src/ia32/lithium-ia32.cc:1360: LOperand* c = ...
2 years, 6 months ago (2012-11-12 17:12:53 UTC) #6
hans
On 2012/11/12 10:12:47, Jakob wrote: > After discussing this with Sven and Ulan, we agreed ...
2 years, 6 months ago (2012-11-13 12:11:20 UTC) #7
hans
On 2012/11/12 17:12:53, Vyacheslav Egorov (Google) wrote: > DBC for ia32/x64 unrelated to architecture > ...
2 years, 6 months ago (2012-11-13 12:13:21 UTC) #8
Sven Panne
Added a few style nits. @slava: Are the constraints in DoMultiplyAdd correct? https://codereview.chromium.org/11293061/diff/8003/src/arm/lithium-arm.cc File src/arm/lithium-arm.cc ...
2 years, 6 months ago (2012-11-13 13:03:51 UTC) #9
Jakob
Yes, this approach looks much better. https://codereview.chromium.org/11293061/diff/8003/src/arm/lithium-arm.cc File src/arm/lithium-arm.cc (right): https://codereview.chromium.org/11293061/diff/8003/src/arm/lithium-arm.cc#newcode1370 src/arm/lithium-arm.cc:1370: if (instr->right()->IsMul()) { ...
2 years, 6 months ago (2012-11-13 13:05:21 UTC) #10
hans
Thanks very much for the comments! New patch uploaded. https://codereview.chromium.org/11293061/diff/8003/src/arm/lithium-arm.cc File src/arm/lithium-arm.cc (right): https://codereview.chromium.org/11293061/diff/8003/src/arm/lithium-arm.cc#newcode1361 src/arm/lithium-arm.cc:1361: ...
2 years, 6 months ago (2012-11-13 14:59:58 UTC) #11
Vyacheslav Egorov (Google)
The comment applied to ia32/x64 only. ARM's constraint looks correct because it is compiled to ...
2 years, 6 months ago (2012-11-13 15:47:47 UTC) #12
Jakob
lgtm
2 years, 6 months ago (2012-11-13 15:50:18 UTC) #13
Sven Panne
LGTM, too
2 years, 6 months ago (2012-11-14 08:28:36 UTC) #14
ulan
Thanks! LGTM, I will land it for you.
2 years, 6 months ago (2012-11-14 08:34:54 UTC) #15
ulan
2 years, 6 months ago (2012-11-14 11:02:08 UTC) #16
On 2012/11/14 08:34:54, ulan wrote:
> Thanks! LGTM, I will land it for you.

Landed as r12958.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be